Module java.corba
Package org.omg.IOP

## Interface Codec

- All Superinterfaces:
    `CodecOperations`, `IDLEntity`, `Object`, `Serializable`

      public interface Codec
      extends CodecOperations, Object, IDLEntity

  The formats of IOR components and service context data used by ORB services are often defined as CDR encapsulations encoding instances of IDL defined data types. The `Codec` provides a mechanism to transfer these components between their IDL data types and their CDR encapsulation representations.

  A `Codec` is obtained from the `CodecFactory`. The `CodecFactory` is obtained through a call to `ORB.resolve_initial_references( "CodecFactory" )`.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.IOP.CodecOperations

      `decode, decode_value, encode, encode_value`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`